Show / Hide Table of Contents

# Class MessageProperties

Properties that are used to modify an IUserMessage with the specified changes.

##### Inheritance

System.Object
MessageProperties

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public class MessageProperties

##### Remarks

The content of a message can be cleared with System.String.Empty if and only if an Embed is present.

### Properties

| Improve this Doc View Source

#### Content

Gets or sets the content of the message.

##### Declaration

    public Optional<string> Content { get; set; }

##### Property Value

Type | Description
--- | ---
Optional<System.String> |

##### Remarks

This must be less than the constant defined by MaxMessageSize.

| Improve this Doc View Source

#### Embed

Gets or sets the embed the message should display.

##### Declaration

    public Optional<Embed> Embed { get; set; }

##### Property Value

Type | Description
--- | ---
Optional<Embed> |

### See Also

ModifyAsync(System.Action<MessageProperties>, RequestOptions)